LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sdb::BooleanComparisonMode Constant Group Reference

specifies different mode how boolean comparison predicates are to be generated by a SingleSelectQueryComposer. More...

## Variables
const long | EQUAL_INTEGER = 0
| denotes the default comparison More...
const long | IS_LITERAL = 1
| requires to use `IS boolean_literal` for boolean comparison. More...
const long | EQUAL_LITERAL = 2
| requires to use `= boolean_literal` for boolean comparison. More...
const long | ACCESS_COMPAT = 3
| requires to use an Microsoft Access compatible syntax for boolean comparison. More...

## Detailed Description

specifies different mode how boolean comparison predicates are to be generated by a SingleSelectQueryComposer.

## Variable Documentation

## ◆ ACCESS_COMPAT

const long ACCESS_COMPAT = 3

requires to use an Microsoft Access compatible syntax for boolean comparison.

## ◆ EQUAL_INTEGER

const long EQUAL_INTEGER = 0

denotes the default comparison

Most databases support comparing boolean expressions or column values directly with integer values: `column = 0` respectively `column = 1`.

## ◆ EQUAL_LITERAL

const long EQUAL_LITERAL = 2

requires to use `= boolean_literal` for boolean comparison.

That is, the generated comparison predicates will be `column = TRUE` resp. `column = FALSE`.

## ◆ IS_LITERAL

const long IS_LITERAL = 1

requires to use `IS boolean_literal` for boolean comparison.

That is, the generated comparison predicates will be `column IS TRUE` resp. `column IS FALSE`.